View Issue Details

IDProjectCategoryView StatusLast Update
0015071ScribusUser Interfacepublic2019-06-04 20:55
Reporterhouz Assigned Tocbradney  
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015071: [PATCH] Color replacement dialog too narrow
DescriptionWhen importing an SVG the generated color names are quite long and the relevant part is coming at the end. Using the color replacement dialog requires a lot of resizing as it defaults to a relatively small size, so each time one clicks the "Add ..." button one is back at a tiny window.
Please raise the dialog width to something like 500, maybe even for both related dialogs: replaceoncolor.ui and replacecolors.ui. The latter might even benefit from a bigger height.

Thanks in advance.
Tagspatch, usability
PatchYes

Activities

houz

2017-12-13 14:41

reporter  

replace_color_dialogs_width.diff (776 bytes)
Index: scribus/ui/replacecolors.ui
===================================================================
--- scribus/ui/replacecolors.ui	(revision 22246)
+++ scribus/ui/replacecolors.ui	(working copy)
@@ -5,8 +5,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>373</width>
-    <height>231</height>
+    <width>500</width>
+    <height>400</height>
    </rect>
   </property>
   <property name="windowTitle" >
Index: scribus/ui/replaceonecolor.ui
===================================================================
--- scribus/ui/replaceonecolor.ui	(revision 22246)
+++ scribus/ui/replaceonecolor.ui	(working copy)
@@ -5,7 +5,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>224</width>
+    <width>500</width>
     <height>106</height>
    </rect>
   </property>

houz

2018-02-01 08:37

reporter   ~0044896

Hi,

is there anything else I can do to get this merged?

houz

2018-05-10 19:35

reporter   ~0045218

Hello? Anyone around?

ale

2019-05-05 12:23

manager   ~0046180

wouldn't be better if scribus would simply name imported colors by their rgb number "#232323" ... i don't really care if it's from a svg or not... (well i might want to care if it's from a specific svg... but i don't get that information...)

(at the end, i still think that colors from svg and pdf should not be listed in the colors, except if the user ask for them to be listed... but there is a different ticket for that...)

cbradney

2019-05-31 21:50

administrator   ~0046261

Thanks, committed.

Issue History

Date Modified Username Field Change
2017-12-13 14:41 houz New Issue
2017-12-13 14:41 houz File Added: replace_color_dialogs_width.diff
2017-12-13 14:53 JLuc Tag Attached: usability
2018-02-01 08:37 houz Note Added: 0044896
2018-05-10 19:35 houz Note Added: 0045218
2019-05-05 12:23 ale Note Added: 0046180
2019-05-05 13:04 ale Tag Attached: patch
2019-05-05 13:04 ale Summary Color replacement dialog too narrow => [PATCH] Color replacement dialog too narrow
2019-05-31 21:50 cbradney Assigned To => cbradney
2019-05-31 21:50 cbradney Status new => resolved
2019-05-31 21:50 cbradney Resolution open => fixed
2019-05-31 21:50 cbradney Note Added: 0046261
2019-05-31 22:31 cbradney Fixed in Version => 1.5.5.svn
2019-06-04 20:55 cbradney Status resolved => closed